Package org.eclipse.rdf4j.sail.helpers

## Class DefaultSailChangedEvent

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.DefaultSailChangedEvent

- All Implemented Interfaces:
    `SailChangedEvent`

      public class DefaultSailChangedEvent
      extends Object
      implements SailChangedEvent

  Default implementation of the SailChangedEvent interface.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultSailChangedEvent​(Sail sail)` | Creates a new DefaultSailChangedEvent in which all possible changes are set to false.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Sail` | `getSail()` | The Sail object that sent this event.
    `void` | `setStatementsAdded​(boolean statementsAdded)` |
    `void` | `setStatementsRemoved​(boolean statementsRemoved)` |
    `boolean` | `statementsAdded()` | Indicates if statements were added to the Sail.
    `boolean` | `statementsRemoved()` | Indicates if statements were removed from the Sail.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSailChangedEvent

          public DefaultSailChangedEvent​(Sail sail)

      Creates a new DefaultSailChangedEvent in which all possible changes are set to false.

  - ### Method Detail

    - #### getSail

          public Sail getSail()

      Description copied from interface: `SailChangedEvent`
      The Sail object that sent this event.
      Specified by:
        `getSail` in interface `SailChangedEvent`

    - #### statementsAdded

          public boolean statementsAdded()

      Description copied from interface: `SailChangedEvent`
      Indicates if statements were added to the Sail.
      Specified by:
        `statementsAdded` in interface `SailChangedEvent`
      Returns:
        true if statements were added during a transaction, false otherwise.

    - #### setStatementsAdded

          public void setStatementsAdded​(boolean statementsAdded)

    - #### statementsRemoved

          public boolean statementsRemoved()

      Description copied from interface: `SailChangedEvent`
      Indicates if statements were removed from the Sail.
      Specified by:
        `statementsRemoved` in interface `SailChangedEvent`
      Returns:
        true if statements were removed during a transaction, false otherwise.

    - #### setStatementsRemoved

          public void setStatementsRemoved​(boolean statementsRemoved)